package com.huifu.bspay.sdk.demo.merchant;

import com.alibaba.fastjson.JSON;
import com.huifu.bspay.sdk.client.BasePayClient;
import com.huifu.bspay.sdk.core.exception.BasePayException;

import java.text.SimpleDateFormat;
import java.util.*;

/**
 * 功能描述:分期配置
 *
 * @Author wen.shao
 * @Date 2021/4/19 15:41
 */
public class ConfigFqFeeDemo {

    /**
     * 分期配置
     */
    public static void configFqFee() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        Calendar cl = Calendar.getInstance();
        String nowStr = sdf.format(cl.getTime());
        // 参数组装
        Map<String, Object> dataMap = new HashMap<String, Object>();
        // 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
        dataMap.put("req_seq_id", nowStr + "01234567890");
        // 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天

        dataMap.put("req_date", "20210412");
        dataMap.put("product_id", "SPIN");

        List<Map<String, Object>> bankFqList = new ArrayList<>();
        Map<String, Object> bankFq = new HashMap<String, Object>();
        //商户汇付ID
        bankFq.put("huifu_id", "6666000106120347");
        bankFq.put("fee_model", "1");
        bankFq.put("ent_way", "2");

        List<Map<String, Object>> bank_fq_fee_list = new ArrayList<>();
        Map<String, Object> bank_fq_fee = new HashMap<String, Object>();
        bank_fq_fee.put("bank_code", "01040000");
        bank_fq_fee.put("bank_acq_period", "11");
        bank_fq_fee.put("three_period", "22");
        bank_fq_fee_list.add(bank_fq_fee);
        bankFq.put("bank_fq_fee_list", bank_fq_fee_list);

        bankFqList.add(bankFq);
        dataMap.put("bank_fq_list", bankFqList);
        Map<String, Object> result = new HashMap<>();
        try {
            System.out.println("分期配置请求参数：" + JSON.toJSONString(dataMap));
            // 单商户模式可不指定merchantKey，会自动套用default配置
            result = BasePayClient.request(dataMap, "ssproxy.configFqMerFee");
            // 多商户模式需指定merchantKey
            // result = BasePayClient.request(dataMap, "ssproxy.configFqMerFee", "yifuyun");
            System.out.println("分期配置返回参数：" + JSON.toJSONString(result));
        } catch (BasePayException e) {
            e.printStackTrace();
        }

        String subRespCode = (String) result.get("sub_resp_code");
        if ("00000000".equals(subRespCode)) {
            // 业务处理成功
            System.out.println("处理成功");
        } else if ("90000000".equals(subRespCode)) {
            // 审核中
            System.out.println("审核中");
        } else {
            String subRespDesc = (String) result.get("sub_resp_desc");
            // 业务处理失败
            System.out.println("处理失败，失败信息：" + subRespDesc);
        }
    }
}