package com.huifu.bspay.sdk.demo.merchant;

import com.alibaba.fastjson.JSON;
import com.huifu.bspay.sdk.client.BasePayClient;
import com.huifu.bspay.sdk.core.exception.BasePayException;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;

/**
 * 功能描述:商户分期配置详情查询
 *
 * @Author wen.shao
 * @Date 2021/4/19 15:41
 */
public class QueryFqFeeDetailDemo {

    /**
     * 商户分期配置详情查询
     */
    public static void queryFqFeeDetail() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        Calendar cl = Calendar.getInstance();
        String nowStr = sdf.format(cl.getTime());
        // 参数组装
        Map<String, Object> dataMap = new HashMap<String, Object>();
        // 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
        dataMap.put("req_seq_id", nowStr + "01234567890");
        // 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天

        dataMap.put("req_date", "20210412");
        dataMap.put("product_id", "SPIN");
        dataMap.put("huifu_id", "6666000106120347");


        Map<String, Object> result = new HashMap<>();
        try {
            System.out.println("商户分期配置详情查询请求参数：" + JSON.toJSONString(dataMap));
            // 单商户模式可不指定merchantKey，会自动套用default配置
            result = BasePayClient.request(dataMap, "ssproxy.queryFqMerFeeDetail");
            // 多商户模式需指定merchantKey
            // result = BasePayClient.request(dataMap, "ssproxy.queryFqMerFeeDetail", "yifuyun");
            System.out.println("商户分期配置详情查询返回参数：" + JSON.toJSONString(result));
        } catch (BasePayException e) {
            e.printStackTrace();
        }

        String subRespCode = (String) result.get("sub_resp_code");
        if ("00000000".equals(subRespCode)) {
            // 业务处理成功
            System.out.println("处理成功");
        } else {
            String subRespDesc = (String) result.get("sub_resp_desc");
            // 业务处理失败
            System.out.println("处理失败，失败信息：" + subRespDesc);
        }
    }
}