package com.huifu.bspay.sdk.demo.trans;


import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class AggregatePaymentDemoTest {
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }

    /**
     * 聚合正扫(微信JS支付)
     */
    @Test
    public void executeWxJsApiTest() {
        AggregatePaymentDemo.executeWxJsApi();
    }

    /**
     * 聚合正扫(支付宝JS支付)
     */
    @Test
    public void executeAliJsApiTest() {
        AggregatePaymentDemo.executeAliJsApi();
    }

    /**
     * 聚合正扫(银联JS支付)
     */
    @Test
    public void executeUnionPayJsApiTest() {
        AggregatePaymentDemo.executeUnionPayJsApi();
    }

    /**
     * 聚合正扫(微信小程序支付)
     */
    @Test
    public void executeWxMiniAppTest() {
        AggregatePaymentDemo.executeWxMiniApp();
    }

    /**
     * 聚合正扫(支付宝Native支付)
     */
    @Test
    public void executeAliNativeTest() {
        AggregatePaymentDemo.executeAliNative();
    }

    /**
     * 聚合正扫(银联Native支付)
     */
    @Test
    public void executeUnionPayNativeTest() {
        AggregatePaymentDemo.executeUnionPayNative();
    }

    /**
     * 聚合反扫
     */
    @Test
    public void executeAuthCodePayTeset() {
        AggregatePaymentDemo.executeAuthCodePay();
    }

    /**
     * 扫码交易查询
     */
    @Test
    public void executeQueryTest() {
        AggregatePaymentDemo.executeQuery();
    }

    /**
     * 扫码交易退款
     */
    @Test
    public void executeRefundTest() {
        AggregatePaymentDemo.executeRefund();
    }

    /**
     * 扫码交易退款查询
     */
    @Test
    public void executeRefundQueryTest() {
        AggregatePaymentDemo.executeRefundQuery();
    }

    /**
     * 扫码关单
     */
    @Test
    public void executeCloseTest() {
        AggregatePaymentDemo.executeClose();
    }

    /**
     * 获取银联用户标识
     */
    @Test
    public void executeGetUnionpayUserIdTeset() {
        AggregatePaymentDemo.executeGetUnionpayUserId();
    }
}