package com.huifu.bspay.sdk.demo.trans;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import com.huifu.bspay.sdk.demo.init.MerchantConfigDemo;

public class BankInstallmentDemoTest {

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        // 进行全局初始化，配置密钥等。
        MerchantConfigDemo.initMerchantConfig();
    }

    @AfterClass
    public static void tearDownAfterClass() throws Exception {
        System.out.println("this is afterClasss....");
    }

    @Before
    public void setUp() throws Exception {
        System.out.println("this is brfore....");
    }

    @After
    public void tearDown() throws Exception {
        System.out.println("this is after....");
    }
    
    /**
     * 银行卡分期签约
     */
    @Test
    public void doBankInstallmentSign() {
        BankInstallmentDemo.executeSign();
    }
    
    /**
     * 银行卡分期支付
     */
    @Test
    public void doBankInstallmentPayment() {
        BankInstallmentDemo.executePayment();
    }
    /**
     * 银行卡分期支付查询
     */
    @Test
    public void doBankInstallmentPayQuery() {
        BankInstallmentDemo.executePaymentQuery();
    }
    
    /**
     * 银行卡分期支付确认
     */
    @Test
    public void doBankInstallmentPayConfirm() {
        BankInstallmentDemo.executePaymentConfirm();
    }
    
    /**
     * 银行卡分期支付退款
     */
    @Test
    public void doBankInstallmentRefund() {
        BankInstallmentDemo.executeRefund();
    }
    
    /**
     * 银行卡分期支付退款查询
     */
    @Test
    public void doBankInstallmentRefundQuery() {
        BankInstallmentDemo.executeRefundQuery();
    }
    
    /**
     * 银行卡分期支付延时交易确认
     */
    @Test
    public void doBankInstallmentPayDelayConfirm() {
        BankInstallmentDemo.executePayDelayConfirm();
    }


    /**
     * 银行卡分期支付延时交易确认查询
     */
    @Test
    public void doBankInstallmentPayDelayConfirmQuery() {
        BankInstallmentDemo.executePayDelayConfirmQuery();
    }
    
    /**
     * 银行卡分期支付延时交易确认退款
     */
    @Test
    public void doBankInstallmentPayDelayConfirmRefund() {
        BankInstallmentDemo.executePayDelayConfirmRefund();
    }
    
    /**
     * 银行卡分期支付延时交易确认列表查询
     */
    @Test
    public void doBankInstallmentPayDelayConfirmListQuery() {
        BankInstallmentDemo.executePayDelayConfirmListQuery();
    }

}
